Update API Key
put
/v1/user/api-keys/{api_key_id}Part of User.
Authentication
Authenticate in any one of these ways — not all of them:
- API key in the
X-API-Keyheader. - Bearer token in the
Authorizationheader.
Path parameters
| Name | Type | Description |
|---|---|---|
api_key_idrequired | string | Api Key Id |
Request body
Required, application/json.
| Field | Type | Description |
|---|---|---|
nameoptional | string | New name for the API key |
descriptionoptional | string | New description |
Example request
curl
curl -X PUT "https://api.robosystems.ai/v1/user/api-keys/{api_key_id}" \
-H "X-API-Key: $ROBOSYSTEMS_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"name": "string",
"description": "string"
}'Responses
200 Successful Response
| Field | Type | Description |
|---|---|---|
idrequired | string | API key ID |
namerequired | string | API key name |
descriptionoptional | string | API key description |
prefixrequired | string | API key prefix for identification |
is_activerequired | boolean | Whether the key is active |
last_used_atoptional | string | Last used timestamp |
expires_atoptional | string | Expiration timestamp |
created_atrequired | string | Creation timestamp |
graph_idoptional | string | Graph scope; null means account-wide |
| Status | Meaning |
|---|---|
| 400 | Invalid request |
| 401 | Authentication required |
| 403 | Access denied |
| 404 | Resource not found |
| 422 | Validation Error |
| 429 | Rate limit exceeded |
| 500 | Internal server error |